/*----------------------------------------------

[Admin JavaScript]

Theme   : Gomax
Version : 1.0.0
Author  : Themeasy
Support : https://themeasy.co

----------------------------------------------*/

/*----------------------------------------------

[Content Index]

1. Licensing
2. OCDI

----------------------------------------------*/

/*----------------------------------------------
1. Licensing
----------------------------------------------*/

// #region Licensing

jQuery(function ($) {
  'use strict';

  function sendForm(ID) {

    var form              = $(ID);
    var warning           = $(ID+' .warning');
    var input_status      = $(ID+' .gomax-input.status');
    var input_code        = $(ID+' .gomax-input.purchase-code');
    var input_email       = $(ID+' .gomax-input.user-email');
    var input_domain      = $(ID+' .gomax-input.site-domain');
    var alert_code        = $(ID+' .gomax-alert.purchase-code');
    var alert_email       = $(ID+' .gomax-alert.user-email');
    var alert_domain      = $(ID+' .gomax-alert.site-domain');
    var licence_info      = $(ID+' .gomax-licence-info');
    var button_activate   = $(ID+' .gomax-button.status');

    $(document).on('click', ID+' .gomax-button.status', function() {

      // Validation
      if ( input_code.val() === '' ) {
        input_code.addClass('invalid');

      } else {
        input_code.removeClass('invalid');
      }
      
      input_code.keyup(function () { 
        input_code.removeClass('invalid');
      })

      if ( input_email.val() === '' ) {
        input_email.addClass('invalid');

      } else {
        input_email.removeClass('invalid');
      }

      input_email.keyup(function () { 
        input_email.removeClass('invalid');
      })

      // Submit
      if ( input_code.val() !== '' && input_email.val() !== '' ) {
        form.submit();
        form.addClass('sending');
      }
    })

    form.submit(function(e) {
      e.preventDefault();

      var action   = form.attr('action');

      $.ajax({
        type: 'POST',
        url: action,
        data: form.serialize(),
        success: function(response) {

          try {
            JSON.parse(response);
            var obj = JSON.parse(response);

            if (obj.status !== 'error' ) {

              if (obj[0] === 'active') {
                setTimeout(function() {
                  input_code.removeClass('invalid').addClass('valid').attr('readonly', 'readonly');
                  input_domain.removeClass('invalid').addClass('valid');
                  alert_code.text(alert_code.data('success')).removeClass('invalid').addClass('valid').fadeIn();
                  alert_domain.text(alert_domain.data('success')).removeClass('invalid').addClass('valid').fadeIn();
                  licence_info.text(licence_info.data('text-active'));
                  button_activate.text(button_activate.data('text-deactivate'));
                  input_status.val('deactivate');

                  // Email
                  input_email.removeClass('invalid').addClass('valid').attr('readonly', 'readonly');
                  alert_email.hide();

                  // Warning
                  warning.removeClass('invalid').addClass('valid');

                }, 1000);

              } else if (obj[0] === 'inactive') {
                setTimeout(function() {
                  input_code.attr('type', 'text');
                  input_code.val('').removeClass('invalid').removeClass('valid').removeAttr('readonly');
                  input_domain.removeClass('invalid').removeClass('valid');
                  alert_code.text('').removeClass('invalid').removeClass('valid').fadeOut();
                  alert_domain.text('').removeClass('invalid').removeClass('valid').fadeOut();
                  licence_info.text(licence_info.data('text-inactive'));
                  button_activate.text(button_activate.data('text-activate'));
                  input_status.val('activate');

                  // Email
                  input_email.attr('type', 'text');
                  input_email.val('').removeClass('invalid').removeClass('valid').removeAttr('readonly');
                  alert_email.hide();

                  // Warning
                  warning.removeClass('valid').addClass('invalid');

                }, 1000);

              } else if (obj[0] === 'exist') {
                setTimeout(function() {
                  input_code.removeClass('valid').addClass('invalid');
                  alert_code.text(alert_code.data('exist')).removeClass('valid').addClass('invalid').fadeIn();

                  // Email
                  alert_email.fadeIn();

                }, 1000);

              } else if (obj[0] === 'invalid') {
                input_code.removeClass('valid').addClass('invalid');
                alert_code.text(alert_code.data('invalid')).removeClass('valid').addClass('invalid').fadeIn();

                // Email
                alert_email.fadeIn();

              } else {
                // Redirect
                window.location.href = 'https://apps.themeasy.co/theme-activation/gomax.php?'+form.serialize();
              }
              
              // Sending
              setTimeout(function() {
                form.removeClass('sending');
              }, 1000);
            
            } else {
              // Redirect
              window.location.href = 'https://apps.themeasy.co/theme-activation/gomax.php?'+form.serialize();
            }

          } catch (e) {
            // Redirect
            window.location.href = 'https://apps.themeasy.co/theme-activation/gomax.php?'+form.serialize();
          }
        }
      })
    })
  }

  sendForm('#gomax-register');
})

// #endregion Licensing

/*----------------------------------------------
2. OCDI
----------------------------------------------*/

// #region OCDI

jQuery(function($) {
  'use strict';
  
  let title = $('.ocdi__title-container-title');
  let icon  = $('.ocdi__go-back-icon');

  // Insert the back button
  icon.insertBefore(title).show();

  // Get the current url
  let current_url = window.location.href;

  var param = '';

  // Check the parameter 'single-pages'
  if ( current_url.includes('demo_type=single-pages') ) {
    var param = '&demo_type=single-pages';
  }
  
  // Check the parameter 'global-sections'
  if ( current_url.includes('demo_type=global-sections') ) {
    var param = '&demo_type=global-sections';
  }

  // Add parameter to link
  if ( current_url.includes( param ) ) {
    let button = $('.ocdi__gl-item-button.button-primary');

    button.each(function() {
      let href = $(this).attr('href');
      $(this).attr('href', href + param);
    })
  }
})

// #endregion OCDI