/*----------------------------------------------

[Customizer JavaScript]

Theme   : Gomax
Version : 1.0.0
Author  : Themeasy
Support : https://themeasy.co

----------------------------------------------*/

/*----------------------------------------------

[Content Index]

1. Site Identity
2. Color Scheme
3. Typography
4. Layout
5. Adittional JS
6. Product Catalog
7. Product Summary

----------------------------------------------*/

/*----------------------------------------------
1. Site Identity
----------------------------------------------*/

// #region Site Identity

jQuery(function ($) {
	'use strict';

	// Sticky Logo
	wp.customize('sticky_logo', function (control) {
		control.bind(function (value) {
			$('.navbar-brand .logo').attr('src-alt', value);
		})
	})

	// Mobile Logo
	wp.customize('mobile_logo', function (control) {
		control.bind(function (value) {
			$('.navbar-brand .logo').attr('src-mobile', value);
		})
	})

	// Logo Height
	wp.customize('logo_height', function (control) {
		control.bind(function (value) {
			$('.header-section .navbar .navbar-brand .logo').css('height', value + 'px');
		})
	})
})

// #endregion Site Identity

/*----------------------------------------------
2. Color Scheme
----------------------------------------------*/

// #region Color Scheme

jQuery(function ($) {
	'use strict';

	// Add Style
	function add_style(item, value) {
		$('#gomax-color-scheme-' + item + '-css').remove();
		$('head').append(
			'<style id="gomax-color-scheme-' + item + '-css">:root { --' + item + ': ' + value + ' }</style>'
		);
	}

	// Primary Color
	wp.customize('primary_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-primary-color', value);
			add_style('themeasy-primary-10-color', value + '1a');
			add_style('themeasy-primary-15-color', value + '26');
			add_style('themeasy-primary-25-color', value + '40');
			add_style('themeasy-primary-50-color', value + '80');
			add_style('themeasy-primary-75-color', value + 'bf');
		})
	})

	// Secondary Color
	wp.customize('secondary_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-secondary-color', value);
			add_style('themeasy-secondary-10-color', value + '1a');
			add_style('themeasy-secondary-15-color', value + '26');
			add_style('themeasy-secondary-25-color', value + '40');
			add_style('themeasy-secondary-50-color', value + '80');
			add_style('themeasy-secondary-75-color', value + 'bf');
		})
	})

	// Accent Color
	wp.customize('accent_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-accent-color', value);
		})
	})

	// Info Color
	wp.customize('info_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-info-color', value);
		})
	})

	// Success Color
	wp.customize('success_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-success-color', value);
		})
	})

	// Danger Color
	wp.customize('danger_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-danger-color', value);
		})
	})

	// Black & White
	wp.customize('black_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-black-color', value);
		})
	})
	wp.customize('white_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-white-color', value);
		})
	})

	// Background
	wp.customize('primary_bg_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-primary-bg-color', value);
		})
	})
	wp.customize('secondary_bg_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-secondary-bg-color', value);
		})
	})

	// Border
	wp.customize('primary_border_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-primary-border-color', value);
		})
	})
	wp.customize('secondary_border_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-secondary-border-color', value);
		})
	})

	// Text
	wp.customize('primary_text_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-primary-text-color', value);
		})
	})
	wp.customize('secondary_text_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-secondary-text-color', value);
		})
	})

	// Button
	wp.customize('primary_button_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-primary-button-color', value);
		})
	})
	wp.customize('secondary_button_color', function (control) {
		control.bind(function (value) {
			add_style('themeasy-secondary-button-color', value);
		})
	})
})

// #endregion Color Scheme

/*----------------------------------------------
3. Typography
----------------------------------------------*/

// #region Typography

jQuery(function ($) {
	'use strict';

	// Body Font Size
	wp.customize('body_font_size', function (control) {
		control.bind(function (value) {
			$('body').css('--themeasy-text-font-size', value + 'rem');
		})
	})

	// Body Font Weight
	wp.customize('body_font_weight', function (control) {
		control.bind(function (value) {
			$('body').css('--themeasy-text-font-weight', value);
		})
	})

	// H1 Font Size
	wp.customize('h1_font_size', function (control) {
		control.bind(function (value) {
			$('h1').css('font-size', value + 'rem');
		})
	})

	// H1 Font Weight
	wp.customize('h1_font_weight', function (control) {
		control.bind(function (value) {
			$('h1').css('font-weight', value);
		})
	})

	// H2 Font Size
	wp.customize('h2_font_size', function (control) {
		control.bind(function (value) {
			$('h2').css('font-size', value + 'rem');
		})
	})

	// H2 Font Weight
	wp.customize('h2_font_weight', function (control) {
		control.bind(function (value) {
			$('h2').css('font-weight', value);
		})
	})

	// H3 Font Size
	wp.customize('h3_font_size', function (control) {
		control.bind(function (value) {
			$('h3').css('font-size', value + 'rem');
		})
	})

	// H3 Font Weight
	wp.customize('h3_font_weight', function (control) {
		control.bind(function (value) {
			$('h3').css('font-weight', value);
		})
	})

	// H4 Font Size
	wp.customize('h4_font_size', function (control) {
		control.bind(function (value) {
			$('h4').css('font-size', value + 'rem');
		})
	})

	// H4 Font Weight
	wp.customize('h4_font_weight', function (control) {
		control.bind(function (value) {
			$('h4').css('font-weight', value);
		})
	})

	// H5 Font Size
	wp.customize('h5_font_size', function (control) {
		control.bind(function (value) {
			$('h5').css('font-size', value + 'rem');
		})
	})

	// H5 Font Weight
	wp.customize('h5_font_weight', function (control) {
		control.bind(function (value) {
			$('h5').css('font-weight', value);
		})
	})

	// H6 Font Size
	wp.customize('h6_font_size', function (control) {
		control.bind(function (value) {
			$('h6').css('font-size', value + 'rem');
		})
	})

	// H6 Font Weight
	wp.customize('h6_font_weight', function (control) {
		control.bind(function (value) {
			$('h6').css('font-weight', value);
		})
	})
})

// #endregion Typography

/*----------------------------------------------
4. Layout
----------------------------------------------*/

// #region Layout

jQuery(function ($) {
	'use strict';

	// Add Style
	function add_style(item, style) {
		$('#gomax-layout-width-' + item + '-css').remove();
		$('head').append(
			'<style id="gomax-layout-width-' + item + '-css">' + style + '</style>'
		);
	}

	// Layout Width 1800px
	wp.customize('container_width_1800', function (control) {
		control.bind(function (value) {
			add_style('1800', '@media (min-width:1800px){.container{max-width:' + value + 'px}}');
		})
	})

	// Layout Width 1700px
	wp.customize('container_width_1700', function (control) {
		control.bind(function (value) {
			add_style('1700', '@media (min-width:1700px){.container{max-width:' + value + 'px}}');
		})
	})

	// Layout Width 1600px
	wp.customize('container_width_1600', function (control) {
		control.bind(function (value) {
			add_style('1600', '@media (min-width:1600px){.container{max-width:' + value + 'px}}');
		})
	})

	// Layout Width 1500px
	wp.customize('container_width_1500', function (control) {
		control.bind(function (value) {
			add_style('1500', '@media (min-width:1500px){.container{max-width:' + value + 'px}}');
		})
	})

	// Layout Width 1400px
	wp.customize('container_width_1400', function (control) {
		control.bind(function (value) {
			add_style('1400', '@media (min-width:1400px){.container{max-width:' + value + 'px}}');
		})
	})

	// Layout Width 1200px
	wp.customize('container_width_1200', function (control) {
		control.bind(function (value) {
			add_style('1200', '@media (min-width:1200px){.container{max-width:' + value + 'px}}');
		})
	})

	// Layout Width 1300px
	wp.customize('container_width_1300', function (control) {
		control.bind(function (value) {
			add_style('1300', '@media (min-width:1300px){.container{max-width:' + value + 'px}}');
		})
	})

	// Layout Width 992px
	wp.customize('container_width_992', function (control) {
		control.bind(function (value) {
			add_style('992', '@media (min-width:992px){.container{max-width:' + value + 'px}}');
		})
	})
})

// #endregion Layout

/*----------------------------------------------
5. Adittional JS
----------------------------------------------*/

// #region Adittional JS

jQuery(function ($) {
	'use strict';

	// Additional JS
	wp.customize('additional_js', function (control) {
		control.bind(function (value) {
			eval(value);
		})
	})
})

// #endregion Adittional JS

/*----------------------------------------------
6. Product Catalog
----------------------------------------------*/

// #region Product Catalog

jQuery(function ($) {
	'use strict';

	// Show and hide options
	function toggle_catalog_options( field, element ) {
		wp.customize(field, function (control) {
			control.bind(function (value) {				
				if (value) {
					$(element).show();
				} else {
					$(element).hide();
				}
			})
		})
	}

	// Product Details
	toggle_catalog_options( 'show_sale_label', '.product-grid .product-sale-label' );
	toggle_catalog_options( 'show_wishlist', '.product-grid .wishlist-button' );
	toggle_catalog_options( 'show_compare', '.product-grid .compare-button' );
	toggle_catalog_options( 'show_quick_view', '.product-grid .quick-view-button' );
	toggle_catalog_options( 'show_description', '.product-grid .product-details .description ' );
	toggle_catalog_options( 'show_price', '.product-grid .product-details .price' );
	toggle_catalog_options( 'show_rating', '.product-grid .product-details .star-rating' );
	toggle_catalog_options( 'show_categories', '.product-grid .product-details .product-categories' );
	toggle_catalog_options( 'show_var_swatches', '.product-grid .product-details .variation-swatches' );
})

// #endregion Product Catalog

/*----------------------------------------------
7. Product Summary
----------------------------------------------*/

// #region Product Summary

jQuery(function ($) {
	'use strict';

	// Show and hide options
	function toggle_product_options( field, element ) {
		wp.customize(field, function (control) {
			control.bind(function (value) {				
				if (value) {
					$(element).show();
				} else {
					$(element).hide();
				}
			})
		})
	}

	// Shows typed text live
	function text_product_options( field, element ) {
		wp.customize(field, function (control) {
			control.bind(function (value) {				
				if (value) {
					$(element).text(value);
				}
			})
		})
	}

	// Product Details
	toggle_product_options( 'show_product_sale_label', '.product .product-sale-label' );
	toggle_product_options( 'show_product_wishlist', '.product .wishlist-button' );
	toggle_product_options( 'show_product_rating', '.product .rating-wrapper' );

	// Buy Now
	toggle_product_options( 'show_product_buy_now', '.product .buy-now-button-wrapper' );
	text_product_options( 'product_buy_now_label', '.product .buy-now-button-wrapper .buy_now_button' );

	// Product Actions
	toggle_product_options( 'show_product_share_this', '.product .share-this' );
	text_product_options( 'product_share_this_label', '.product .share-this .text' );
	toggle_product_options( 'show_product_compare', '.product .compare-button' );
	text_product_options( 'product_compare_label', '.product .compare-button .text' );
	toggle_product_options( 'show_product_more_info', '.product .more-info' );
	text_product_options( 'product_more_info_label', '.product .more-info .text' );

	// Product Meta
	toggle_product_options( 'show_product_meta', '.product .metadata' );

	// Custom Image Title
	text_product_options( 'product_custom_image_title', '.product .custom-image .meta-title' );

	// Custom Image Description
	text_product_options( 'product_custom_image_description', '.product .custom-image .meta-description' );
})

// #endregion Product Summary