<?php
/**
 * Theme footer where the template parts start.
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.

/**
 * Checks if there are global sections to display.
 * 
 * @package Gomax
 * @since 1.0.0
 */
$disable_footer = get_post_meta( get_the_ID(), 'gomax_disable_footer', true );
if ( gomax_has_core() && gomax_has_elementor() ) {

  if ( themeasy_before_footer_enabled() ) {
    do_action( 'themeasy_before_footer' );
  }

  if ( ! $disable_footer ) {
    if ( themeasy_footer_enabled() ) {
      ?>		
      <footer id="footer" class="footer-section">
        <div class="footer-content focus-trigger">
          <?php do_action( 'themeasy_footer' ); ?>
        </div>
      </footer>
      <?php
    } else {
      get_template_part( 'template-parts/footer' );
    }
  }

} else {
  if ( ! $disable_footer ) {
    get_template_part( 'template-parts/footer' );
  }
}

wp_footer(); 

/**
 * Enable smooth scroll.
 * 
 * @package Gomax
 * @since 1.0.0
 */
if ( get_theme_mod( 'enable_smooth_scroll' ) ) :
  ?>
  </div><!-- #smooth-scroll-viewport -->
  </div><!-- #smooth-scroll-content -->
<?php endif; ?>
</body>
</html>