<?php
/**
 * Prepare the post navigation component.
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.

function gomax_get_post_navigation() {

	/**
	 * Checks if the post navigation is active.
	 * 
	 * @package Gomax
	 * @since 1.0.0
	 */
	if ( get_theme_mod( 'disable_post_navigation' ) ) {
		return;
	}

  /**
   * Render the post navigation component.
   * 
   * @package Gomax
   * @since 1.0.0
   */
  if ( get_previous_post() || get_next_post() ) {
    ?>
    <div id="post-navigation" class="mt-3 mb-3">
      <div class="post-navigation">
        <div class="post-navigation-buttons">
          <?php
          previous_post_link(
            '%link',
            '<i class="fa-solid fa-arrow-left-long button-icon"></i>' .
            '<span class="button-text">' . esc_html__( 'Prev Article', 'gomax' ) . '</span>'
          );
          next_post_link(
            '%link', 
            '<span class="button-text">' . esc_html__( 'Next Article', 'gomax' ) . '</span>' .
            '<i class="fa-solid fa-arrow-right-long button-icon"></i>'
          );
          ?>
        </div>
      </div>
    </div>
  <?php
  }
}