<?php
/**
 * Prepare the search form component.
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.

function gomax_search_form( $search_form ) {
  ob_start();
  ?>
  <div class="form-area">
    <form class="form-fields needs-validation" action="<?php echo esc_url( home_url( '/' ) ); ?>" novalidate>
      <div class="form-row row">
        <div class="form-col form-flex-col">
          <input type="search" name="s" class="search-field form-control" placeholder="<?php echo esc_attr( __( 'Type keywords...', 'gomax' ) ); ?>" value="<?php echo esc_attr( get_search_query() ); ?>" required="required">
          <button class="button">
            <i class="fa-solid fa-magnifying-glass button-icon"></i>
          </button>
        </div>
      </div>
    </form>
  </div>  
  <?php
  $search_form = ob_get_clean();
  return $search_form;
}
add_filter( 'get_search_form', 'gomax_search_form', 100 );