<?php
/**
 * Register theme required plugins.
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.

/**
 * Setup required plugins.
 * 
 * @package Gomax
 * @since 1.0.0
 */
function gomax_register_required_plugins() {

	$plugins = array(
		array(
			'name'     => 'Themeasy',
			'slug'     => 'themeasy',
			'version'  => '1.0.4',
      'source'   => esc_url( 'https://package.themeasy.co/plugins/themeasy-v1.0.4.zip' ),
			'required' => true,
		),
		array(
			'name'     => 'Envato Market',
			'slug'     => 'envato-market',
			'version'  => '2.0.12',
      'source'   => esc_url( 'https://package.themeasy.co/plugins/envato-market-v2.0.12.zip' ),
			'required' => true,
		),
		array(
			'name'     => 'One Click Demo Import',
			'slug'     => 'one-click-demo-import',
			'version'  => '3.3.0',
			'required' => true,
		),
		array(
			'name'     => 'Elementor',
			'slug'     => 'elementor',
			'version'  => '3.25.10',
			'required' => true,
		),
		array(
			'name'     => 'Contact Form 7',
			'slug'     => 'contact-form-7',
			'version'  => '6.0',
			'required' => false,
		),
		array(
			'name'     => 'WooCommerce',
			'slug'     => 'woocommerce',
			'version'  => '9.4.2',
			'required' => false,
		),
		array(
			'name'     => 'WPC Smart Wishlist for WooCommerce',
			'slug'     => 'woo-smart-wishlist',
			'version'  => '4.9.5',
			'required' => false,
		),
		array(
			'name'     => 'WPC Smart Compare for WooCommerce',
			'slug'     => 'woo-smart-compare',
			'version'  => '6.4.1',
			'required' => false,
		),
		array(
			'name'     => 'WPC Estimated Delivery Date for WooCommerce',
			'slug'     => 'wpc-estimated-delivery-date',
			'version'  => '2.4.8',
			'required' => false,
		),
		array(
			'name'     => 'WPC Countdown Timer for WooCommerce',
			'slug'     => 'wpc-countdown-timer',
			'version'  => '3.1.0',
			'required' => false,
		),
		array(
			'name'     => 'WPC Product Size Chart for WooCommerce',
			'slug'     => 'wpc-product-size-chart',
			'version'  => '2.2.1',
			'required' => false,
		),
		array(
			'name'     => 'Advanced Woo Labels',
			'slug'     => 'advanced-woo-labels',
			'version'  => '2.06',
			'required' => false,
		),
		array(
			'name'     => 'FiboSearch - AJAX Search for WooCommerce',
			'slug'     => 'ajax-search-for-woocommerce',
			'version'  => '1.29.0',
			'required' => false,
		),
		array(
			'name'     => 'CURCY - Multi Currency for WooCommerce',
			'slug'     => 'woo-multi-currency',
			'version'  => '2.2.4',
			'required' => false,
		)
	);

	$config = array(
		'id'           => 'gomax',
		'menu'         => 'install-required-plugins',
		'has_notices'  => true,
		'dismissable'  => true,
		'dismiss_msg'  => false,
		'is_automatic' => false,
		'default_path' => false
	);

	tgmpa( $plugins, $config );
}
add_action( 'tgmpa_register', 'gomax_register_required_plugins' );