<?php
/**
 * This template is displayed when a page is not found.
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.
?>
<main id="main" class="main-section">
	<section class="intro-section pt-5 pb-5">
		<div class="container">
			<div class="page-404">
				<div class="text-center">
					<?php 
					printf(
						/* translators: 1: page title */
						'<h1 class="title entry-title">%s</h1>',
						esc_html__( 'Oops! Page Not Found', 'gomax' )
					);
					printf(
						/* translators: 1: page description */
						'<p class="description max-w-65 mx-auto">%s</p>',
						esc_html__( 'We\'re sorry, but the page you\'re looking for seems to have vanished into thin air. Please check the URL or return to our homepage and explore from there.', 'gomax' )
					);
					?>
					<a href="<?php echo esc_url( home_url( '/' ) ); ?>" class="button">
						<i class="fa-solid fa-house button-icon"></i>
						<span class="button-text">
							<?php echo esc_html__( 'Go Home', 'gomax' ); ?>
						</span>
					</a>
				</div>
			</div>
		</div>
	</section>
</main>