<?php
/**
 * Template Name: Gomax Global Section
 * Template Post Type: themeasy-global
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.
?>
<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <?php wp_head(); ?>
</head>

<?php
/**
 * Check if dark mode is active and apply the body class.
 * 
 * @package Gomax
 * @since 1.0.0
 */
?>
<body <?php body_class(); ?>>
<?php 
wp_body_open();

while ( have_posts() ) {

  $template_type = get_post_meta( get_the_ID(), 'themeasy_template_type', true );
  
  // If this is a footer template then it needs a wrapper
  if ( $template_type === 'section_footer' ) {
    ?>
    <footer id="footer" class="footer-section">
      <div class="footer-content focus-trigger">
  <?php
  }

	the_post();
	the_content();

  // Close the footer wrapper
  if ( $template_type === 'section_footer' ) {
    ?>
      </div>
    </footer>
  <?php
  }
}

wp_footer();
?>
</body>
</html>