<?php
/**
 * Template Name: Gomax Megamenu
 * Template Post Type: themeasy-megamenu
 * 
 * @package Gomax
 * @since 1.0.0
 */

defined( 'ABSPATH' ) || exit; // Exit if accessed directly.
?>
<!DOCTYPE html>

<html <?php language_attributes(); ?>>

<head>
  <meta charset="<?php bloginfo( 'charset' ); ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <?php wp_head(); ?>
</head>

<?php
/**
 * Check if dark mode is active and apply the body class.
 * 
 * @package Gomax
 * @since 1.0.0
 */
?>
<body <?php body_class(); ?>>
<?php 
wp_body_open(); 
  ?>
  <header id="header" class="header-section">
    <nav id="navbar" class="navbar navbar-expand-lg">
      <div class="container">
        <div id="navbar-items" class="collapse navbar-collapse">
          <ul class="navbar-nav ms-auto">
            <li class="nav-item dropdown has-megamenu">
              <div class="dropdown-menu megamenu megamenu-<?php the_ID(); ?> animate fade-down show">
                <div class="container">
                  <div class="inner-section-expanded">
                    <?php
                    while ( have_posts() ) {
                      the_post();
                      the_content();                        
                    }
                    ?>
                  </div>
                </div>
              </div>
            </li>
          </ul>
        </div>
      </div>
    </nav>
  </header>
  <?php
  wp_footer();
  ?>
</body>
</html>